package input;

/**
 * Cas des types primitifs.
 * Solution brute : qui a mieux ?
 * Et incomplte car array, generics, ...
 * @author jcroyer
 *
 */
public class Primitive {

	/**
	 * Array of primitive names in Java.
	 */
	private static final String [] ARRAY = {"void", "boolean", "char", "byte", "short", "int", "long", "float", "double"};
	//private static final Vector<String> TYPES = new Vector<String>(Arrays.asList(Primitif.ARRAY));

	/**
	 * Search the primitive name in the array.
	 * @param str the name to search
	 * @return boolean
	 */
	public static boolean isPrimitive(String str) {
		// not sufficient
		//return Primitif.TYPES.contains(str);
		boolean result = false;
		int i = 0;
		while ((i < ARRAY.length) && !result) {
			result = ARRAY[i].equals(str);
			i++;
		}
		return result;
	}
}
